#ifndef CMWMANUALLOAD_H
#define CMWMANUALLOAD_H

#include "cmwidget.h"
#include <QPushButton>

namespace Ui
{
class CMWManualLoad;
}

class CMWManualLoad : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWManualLoad(QWidget* parent = 0);
    ~CMWManualLoad();
    void MFresh();

    virtual void MTimeFresh();


    virtual void MInit();

private slots:
    void on_pushButton_Stop_clicked();

    void on_btnScanCassete_clicked();

    void on_pushButton_ManualLoad_clicked();

    void on_pushButton_CassToCT_clicked();

    void on_pushButton_CTTOWT_clicked();

    void on_pushButton_WTToCT_clicked();

    void on_pushButton_CTToCass_clicked();

    void on_pushButton_Cass_Up_clicked();

    void on_pushButton_Coat_clicked();

    void on_pushButton_Clean_clicked();

    void on_pushButton_Clean_CoatTable_clicked();

    void on_pushButton_Clean_CleanTable_clicked();

    void on_pushButton_Single_Auto_clicked();

    void on_pushButton_Pause_clicked();

    void on_pushButton_AllUnLoad_clicked();

    void on_checkBox_LaserEmit_clicked(bool checked);

    void on_checkBox_CycleRun_clicked(bool checked);

    void on_btnPEGMove_clicked();

    void on_checkBox_OnlyLeveling_clicked(bool checked);

    void on_checkBox_OnlyLocation_clicked(bool checked);

    void on_checkBox_OnlyA_clicked(bool checked);

    void on_txtSideAStart_editingFinished();

    void on_txtSideAEnd_editingFinished();

    void on_txtSideBStart_editingFinished();

    void on_txtSideBEnd_editingFinished();

    void on_checkBox_OnlyB_clicked(bool checked);

    void on_txtNozzleWaitTime_editingFinished();

    void on_chkStopAfterFinish_toggled(bool checked);

    void on_btnStopSingleCut_clicked();

    void on_chkPauseAfterLeveling_clicked(bool checked);

    void on_chkPauseAfterLocation_clicked(bool checked);

    void on_chkBoxDisableCutLineLaserEmit_clicked(bool checked);

    void on_chkBoxDisableAutoHairline_clicked(bool checked);

    void on_chkBoxScanWithToSensor_clicked(bool checked);

    void on_chkBoxSimulatorLeveling_clicked(bool checked);

    void on_chkBoxSimulatorLocation_clicked(bool checked);

    void on_btnCleanCoatFluid_clicked();

    void on_btnCupboardToRailNear_clicked();

    void on_btnRailNearToCupboard_clicked();

    void on_btnRailNearTOWT_clicked();
    void on_btnRailNearToFar_clicked();

    void TransBtnClicked(int smID, const V_MsgQueue& msgqueue, int operateId);

    void FreshTransButtonStatus();
    void FreshCoatButtonStatus();
    void FreshCleanButtonStatus();
    void FreshWorktableButtonStatus();
    int AskButtonOperte(int smID, int operateID);

    void on_btnCassToRailNear_clicked();

    void on_btnRailFarToWt_clicked();

    void on_btnRailNearToClean_clicked();

    void on_btnCleanToRailNear_clicked();

    void on_btnRailNearToCoat_clicked();

    void on_btnRailFarToCoat_clicked();
    void on_btnRailFarToNear_clicked();

    void on_btnCoatToRailFar_clicked();

    void on_btnCoatToRailNear_clicked();

    void on_btnWTToRailNear_clicked();

    void on_btnRailToCass_clicked();

private:
    Ui::CMWManualLoad* ui;
    QMap<int, QPushButton*> m_TransButtons;
    QMap<int, QPushButton*> m_CoatButtons;
    QMap<int, QPushButton*> m_CleanButtons;
};

#endif // CMWMANUALLOAD_H
